<?xml version="1.0" encoding="UTF-8" ?>

<config xmlns="http://thelia.net/schema/dic/config"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://thelia.net/schema/dic/config http://thelia.net/schema/dic/config/thelia-1.0.xsd">

    <hooks>
        <!-- Global hook class -->
        <hook id="pdr.css.hook" class="PointRetrait\Hook\CssHook">
            <tag name="hook.event_listener" event="main.head-css" type="back" method="onAddCss"/>
        </hook>

        <hook id="pdr.admin.hook" class="PointRetrait\Hook\AdminHook">
            <tag name="hook.event_listener" event="home.block" type="back" method="displayScheduledWithdrawals" />
            <tag name="hook.event_listener" event="main.in-top-menu-items" type="back" method="onMainTopMenuTools" />
            <argument type="service" id="thelia.securityContext"/>
        </hook>
    </hooks>

    <loops>
        <loop name="pdr_places" class="PointRetrait\Loop\GeneralLoop"/>
        <loop name="pdr_schedule" class="PointRetrait\Loop\ScheduleLoop"/>
    </loops>

    <forms>
        <form name="pdr-place-main-update" class="PointRetrait\Form\MainForm"/>
    </forms>

</config>
